# Donor Clubs Donor Clubs ## Gets all of the donor clubs in the system. - [GET /donorClubs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/listdonorclubs.md): This method will scan all donor clubs and and return them to the caller. ## Creates a new donor club record that does not already exist. - [POST /donorClubs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/createdonorclub.md): This method will auto-generate an ID and create a new donor club. If an ID is specified for the donor club, an error will be thrown. ## Execute Batch Operations - [POST /donorClubs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a donor club from the system by its ID. - [DELETE /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/deletedonorclub.md): This method will delete a donor club with the specified ID. ## Returns a donor club from the system by its ID. - [GET /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/getdonorclub.md): This method will look up a donor club by the specified ID and return it back. ## Partially updates a donor club with the specified ID. - [PATCH /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/patchdonorclub.md): This method will patch an existing donor club with the specified ID, using the HTTP PATCH specification. ## Updates a donor club with the specified ID. - [PUT /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/updatedonorclub.md): This method will update an existing donor club with the specified ID.